# jpgimage.hpp File Reference

Class JpegImage to access JPEG images. More...

`#include "types.hpp"`
`#include "image.hpp"`
`#include "basicio.hpp"`
`#include "exif.hpp"`
`#include "iptc.hpp"`
`#include <string>`

Include dependency graph for jpgimage.hpp:

## Namespaces

namespace | Exiv2

## Classes

class | Exiv2::JpegBase
| Abstract helper base class to access JPEG images. More...
class | Exiv2::JpegImage
| Class to access JPEG images. More...
class | Exiv2::ExvImage
| Helper class to access Exiv2 files. More...

## Detailed Description

Class JpegImage to access JPEG images.

Version:
  Rev
    563

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

  Brad Schick (brad) brad@robotbattle.com

Date:
  15-Jan-05, brad: split out from image.cpp